Package org.apache.sysds.runtime.data

## Class DenseBlockInt64

- java.lang.Object
- - org.apache.sysds.runtime.data.DenseBlock
  - - org.apache.sysds.runtime.data.DenseBlockDRB
    - - org.apache.sysds.runtime.data.DenseBlockInt64

All Implemented Interfaces:
  `Serializable`, `Block`

    public class DenseBlockInt64
    extends DenseBlockDRB

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.data.DenseBlock

`DenseBlock.Type`

### Constructor Summary

Constructors
`DenseBlockInt64​(int[] dims)`
`DenseBlockInt64​(int[] dims, long[] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `capacity()` Get the total length of allocated blocks.
`double` `get​(int[] ix)` Get the value of a given cell
`double` `get​(int r, int c)` Get the value for a given row and column.
`long[]` `getData()`
`long` `getLong​(int[] ix)` Get the value of a given cell as long
`String` `getString​(int[] ix)` Get the value of a given cell as a String
`void` `incr​(int r, int c)` Increments the given value for a given row and column.
`void` `incr​(int r, int c, double delta)` Increments the given value for a given row and column by delta.
`int` `index​(int r)` Get the block index for a given row.
`boolean` `isNumeric()` Indicates if the dense block is numeric.
`boolean` `isNumeric​(Types.ValueType vt)` Indicates if the dense block is a specific numeric value type.
`void` `reset​(int rlen, int[] odims, double v)` Resets the dense block by setting the given value.
`void` `resetNoFill​(int rlen, int[] odims)`
`DenseBlock` `set​(int[] ix, double v)` Set the specified cell to the given value.
`DenseBlock` `set​(int[] ix, long v)` Set the specified cell to the given value.
`DenseBlock` `set​(int[] ix, String v)` Set the specified cell to the given value.
`DenseBlock` `set​(int r, double[] v)` Copy the given vector into the given row.
`DenseBlock` `set​(int r, int c, double v)` Set the given value for a given row and column.
`DenseBlock` `set​(DenseBlock db)` Copy the given dense block.
`double[]` `values​(int r)` Get the allocated block for the given row.
`double[]` `valuesAt​(int bix)` Get an allocated block.

### Methods inherited from class org.apache.sysds.runtime.data.DenseBlockDRB

`blockSize, blockSize, countNonZeros, countNonZeros, countNonZeros, isContiguous, isContiguous, numBlocks, pos, pos, pos, set, set, size`

### Methods inherited from class org.apache.sysds.runtime.data.DenseBlock

`contains, contains, equals, equals, estimateMemory, fill, getCumODims, getDim, getNextIndexes, numCols, numDims, numRows, reset, reset, reset, reset, reset, reset, resetNoFill, set, set, set, set, setDims, size, toString`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DenseBlockInt64

    public DenseBlockInt64​(int[] dims)

#### DenseBlockInt64

    public DenseBlockInt64​(int[] dims,
                           long[] data)

### Method Detail

#### getData

    public long[] getData()

#### isNumeric

    public boolean isNumeric()

Description copied from class: `DenseBlock`
Indicates if the dense block is numeric.

Specified by:
  `isNumeric` in class `DenseBlock`
Returns:
  true if numeric (FP, INT, BOOLEAN)

#### isNumeric

    public boolean isNumeric​(Types.ValueType vt)

Description copied from class: `DenseBlock`
Indicates if the dense block is a specific numeric value type.

Specified by:
  `isNumeric` in class `DenseBlock`
Parameters:
  `vt` - value type to check
Returns:
  true if numeric and of value type vt

#### reset

    public void reset​(int rlen,
                      int[] odims,
                      double v)

Description copied from class: `DenseBlock`
Resets the dense block by setting the given value.

Overrides:
  `reset` in class `DenseBlockDRB`
Parameters:
  `rlen` - number of rows
  `odims` - other dimensions
  `v` - value

#### resetNoFill

    public void resetNoFill​(int rlen,
                            int[] odims)

Specified by:
  `resetNoFill` in class `DenseBlock`

#### capacity

    public long capacity()

Description copied from class: `DenseBlock`
Get the total length of allocated blocks.

Specified by:
  `capacity` in class `DenseBlock`
Returns:
  capacity

#### values

    public double[] values​(int r)

Description copied from class: `DenseBlock`
Get the allocated block for the given row. This call is equivalent to valuesAt(indexes(r)).

Specified by:
  `values` in class `DenseBlock`
Parameters:
  `r` - row index
Returns:
  block

#### valuesAt

    public double[] valuesAt​(int bix)

Description copied from class: `DenseBlock`
Get an allocated block.

Specified by:
  `valuesAt` in class `DenseBlock`
Parameters:
  `bix` - block index
Returns:
  block

#### index

    public int index​(int r)

Description copied from class: `DenseBlock`
Get the block index for a given row.

Specified by:
  `index` in class `DenseBlock`
Parameters:
  `r` - row index
Returns:
  block index

#### incr

    public void incr​(int r,
                     int c)

Description copied from class: `DenseBlock`
Increments the given value for a given row and column.

Specified by:
  `incr` in class `DenseBlock`
Parameters:
  `r` - row index
  `c` - column index

#### incr

    public void incr​(int r,
                     int c,
                     double delta)

Description copied from class: `DenseBlock`
Increments the given value for a given row and column by delta.

Specified by:
  `incr` in class `DenseBlock`
Parameters:
  `r` - row index
  `c` - column index
  `delta` - increment value

#### set

    public DenseBlock set​(int r,
                          int c,
                          double v)

Description copied from class: `DenseBlock`
Set the given value for a given row and column.

Specified by:
  `set` in class `DenseBlock`
Parameters:
  `r` - row index
  `c` - column index
  `v` - value
Returns:
  self

#### set

    public DenseBlock set​(DenseBlock db)

Description copied from class: `DenseBlock`
Copy the given dense block.

Specified by:
  `set` in class `DenseBlock`
Parameters:
  `db` - dense block
Returns:
  self

#### set

    public DenseBlock set​(int r,
                          double[] v)

Description copied from class: `DenseBlock`
Copy the given vector into the given row.

Specified by:
  `set` in class `DenseBlock`
Parameters:
  `r` - row index
  `v` - value vector
Returns:
  self

#### set

    public DenseBlock set​(int[] ix,
                          double v)

Description copied from class: `DenseBlock`
Set the specified cell to the given value.

Specified by:
  `set` in class `DenseBlock`
Parameters:
  `ix` - cell indexes
  `v` - value
Returns:
  self

#### set

    public DenseBlock set​(int[] ix,
                          long v)

Description copied from class: `DenseBlock`
Set the specified cell to the given value.

Specified by:
  `set` in class `DenseBlock`
Parameters:
  `ix` - cell indexes
  `v` - value
Returns:
  self

#### set

    public DenseBlock set​(int[] ix,
                          String v)

Description copied from class: `DenseBlock`
Set the specified cell to the given value.

Specified by:
  `set` in class `DenseBlock`
Parameters:
  `ix` - cell indexes
  `v` - value as String
Returns:
  self

#### get

    public double get​(int r,
                      int c)

Description copied from class: `DenseBlock`
Get the value for a given row and column.

Specified by:
  `get` in interface `Block`
Specified by:
  `get` in class `DenseBlock`
Parameters:
  `r` - row index
  `c` - column index
Returns:
  value

#### get

    public double get​(int[] ix)

Description copied from class: `DenseBlock`
Get the value of a given cell

Specified by:
  `get` in class `DenseBlock`
Parameters:
  `ix` - cell indexes
Returns:
  value

#### getString

    public String getString​(int[] ix)

Description copied from class: `DenseBlock`
Get the value of a given cell as a String

Specified by:
  `getString` in class `DenseBlock`
Parameters:
  `ix` - cell indexes
Returns:
  value as String

#### getLong

    public long getLong​(int[] ix)

Description copied from class: `DenseBlock`
Get the value of a given cell as long

Specified by:
  `getLong` in class `DenseBlock`
Parameters:
  `ix` - cell indexes
Returns:
  value as long